//******************************************************************************
// OpenWeather.cpp - Get weather data from OpenWeather
//******************************************************************************
//#define DEBUG1
#include "OpenWeather.h"

OpenWeather::OpenWeather()
{
}

OpenWeather::~OpenWeather()
{
}

uint8_t OpenWeather::getOutdoorConditions(String location, String apiKey)
{
    String response;
    WiFiClient client;
#ifdef DEBUG1
	Serial.println("OWM-getOutdoorConditions for: " + location);			// deHarry, 2020-01-21
#endif

    if (client.connect("api.openweathermap.org", 80))
    {
		String url = "/data/2.5/weather?q=" + String(location) + "&units=metric&appid=" + String(apiKey);
		url += (location.endsWith("DE") || location.endsWith("de")) ? "&lang=de" : "";							// deHarry, 2020-01-24
        client.print(String("GET ") + url + " HTTP/1.1\r\n" + "Host: api.openweathermap.org" + "\r\n" + "Connection: close\r\n\r\n");
        unsigned long timeout = millis();
        while (client.available() == 0)
        {
            if (millis() - timeout > 5000)
            {
                client.stop();
                return 0;
            }
        }
        while (client.available())
            response = client.readStringUntil('\r');
        response.trim();
        response.replace('[', ' ');
        response.replace(']', ' ');
#ifdef DEBUG1
		Serial.println("OWM-Response: " + response);						// deHarry, 2020-01-21
#endif
		JSONVar weatherArray = JSON.parse(response);
        description = weatherArray["weather"]["description"];
        temperature = (double)weatherArray["main"]["temp"];
        humidity = (int)weatherArray["main"]["humidity"];
        pressure = (int)weatherArray["main"]["pressure"];
		icon = weatherArray["weather"]["icon"];								// deHarry, 2020-01-21
        return 1;
    }
}

// Anzeige des Icon erfolgt mit dem Aufruf "http://openweathermap.org/img/wn/10d@2x.png", muss im HTML zusammengebastelt werden  // deHarry, 2020-01-14